org.apache.ode.activityRecovery

## Interface FailureHandlingDocument.FailureHandling

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    FailureHandlingDocumentImpl.FailureHandlingImpl
  Enclosing interface:
    FailureHandlingDocument

      public static interface FailureHandlingDocument.FailureHandling
      extends org.apache.xmlbeans.XmlObject

  An XML failureHandling(@http://ode.apache.org/activityRecovery). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `FailureHandlingDocument.FailureHandling.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getFaultOnFailure()` Gets the "faultOnFailure" element
    `int` | `getRetryDelay()` Gets the "retryDelay" element
    `int` | `getRetryFor()` Gets the "retryFor" element
    `boolean` | `isSetFaultOnFailure()` True if has "faultOnFailure" element
    `boolean` | `isSetRetryDelay()` True if has "retryDelay" element
    `boolean` | `isSetRetryFor()` True if has "retryFor" element
    `void` | `setFaultOnFailure(boolean faultOnFailure)` Sets the "faultOnFailure" element
    `void` | `setRetryDelay(int retryDelay)` Sets the "retryDelay" element
    `void` | `setRetryFor(int retryFor)` Sets the "retryFor" element
    `void` | `unsetFaultOnFailure()` Unsets the "faultOnFailure" element
    `void` | `unsetRetryDelay()` Unsets the "retryDelay" element
    `void` | `unsetRetryFor()` Unsets the "retryFor" element
    `org.apache.xmlbeans.XmlBoolean` | `xgetFaultOnFailure()` Gets (as xml) the "faultOnFailure" element
    `org.apache.xmlbeans.XmlInt` | `xgetRetryDelay()` Gets (as xml) the "retryDelay" element
    `org.apache.xmlbeans.XmlInt` | `xgetRetryFor()` Gets (as xml) the "retryFor" element
    `void` | `xsetFaultOnFailure(org.apache.xmlbeans.XmlBoolean faultOnFailure)` Sets (as xml) the "faultOnFailure" element
    `void` | `xsetRetryDelay(org.apache.xmlbeans.XmlInt retryDelay)` Sets (as xml) the "retryDelay" element
    `void` | `xsetRetryFor(org.apache.xmlbeans.XmlInt retryFor)` Sets (as xml) the "retryFor" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getRetryFor

          int getRetryFor()

      Gets the "retryFor" element

    - #### xgetRetryFor

          org.apache.xmlbeans.XmlInt xgetRetryFor()

      Gets (as xml) the "retryFor" element

    - #### isSetRetryFor

          boolean isSetRetryFor()

      True if has "retryFor" element

    - #### setRetryFor

          void setRetryFor(int retryFor)

      Sets the "retryFor" element

    - #### xsetRetryFor

          void xsetRetryFor(org.apache.xmlbeans.XmlInt retryFor)

      Sets (as xml) the "retryFor" element

    - #### unsetRetryFor

          void unsetRetryFor()

      Unsets the "retryFor" element

    - #### getRetryDelay

          int getRetryDelay()

      Gets the "retryDelay" element

    - #### xgetRetryDelay

          org.apache.xmlbeans.XmlInt xgetRetryDelay()

      Gets (as xml) the "retryDelay" element

    - #### isSetRetryDelay

          boolean isSetRetryDelay()

      True if has "retryDelay" element

    - #### setRetryDelay

          void setRetryDelay(int retryDelay)

      Sets the "retryDelay" element

    - #### xsetRetryDelay

          void xsetRetryDelay(org.apache.xmlbeans.XmlInt retryDelay)

      Sets (as xml) the "retryDelay" element

    - #### unsetRetryDelay

          void unsetRetryDelay()

      Unsets the "retryDelay" element

    - #### getFaultOnFailure

          boolean getFaultOnFailure()

      Gets the "faultOnFailure" element

    - #### xgetFaultOnFailure

          org.apache.xmlbeans.XmlBoolean xgetFaultOnFailure()

      Gets (as xml) the "faultOnFailure" element

    - #### isSetFaultOnFailure

          boolean isSetFaultOnFailure()

      True if has "faultOnFailure" element

    - #### setFaultOnFailure

          void setFaultOnFailure(boolean faultOnFailure)

      Sets the "faultOnFailure" element

    - #### xsetFaultOnFailure

          void xsetFaultOnFailure(org.apache.xmlbeans.XmlBoolean faultOnFailure)

      Sets (as xml) the "faultOnFailure" element

    - #### unsetFaultOnFailure

          void unsetFaultOnFailure()

      Unsets the "faultOnFailure" element